Subject: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: João Távora <[email-masked]>
Date: Mon, 27 Feb 2023 20:07:24 +0000

On Mon, Feb 27, 2023, 19:57 Michael Albinus <[email-masked]> wrote:

>
> > In my case I was using simply a /bin/sh on the remote server
> > and the user had a ~/bin directory that her ~/.profile adds to PATH.
> > But without the 'tramp-own-remote-path' fix, the shell used by Tramp
> > is not interactive and thus won't consider ~/.profile at all.
>
> Why don't you add (the expanded) ~/bin to tramp-remote-path?
>

I did, but it did not work reliably, Michael. Only sometimes.

I will try again though.

João